SUBROUTINE GEMS_DEALLOC_TL( PCEN, PTENC,PCFLX )

!**   INTERFACE.
!     ----------
!          *GEMS_DEALLOC_TL* IS CALLED FROM *CALLPAR*.

! INPUTS:
!  -------

! INPUTS/OUTPUTS:
!---------------

!-----------------------------------------------------------------------

!     Externals.
!     ---------


!     Author
!    --------
!         2008-10-15, R. Engelen 

!     Modifications :
!    ----------------

!-----------------------------------------------------------------------

USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

! In the declaration below the INTENT attribute has been removed to comply 
! strict f95 standards. The attribute INTENT(INOUT) should be put back after all 
! compiler (especially NEC) support this extension. - R. El Khatib 04-Jun-2009
REAL(KIND=JPRB), POINTER :: PCEN(:,:,:),PTENC(:,:,:),PCFLX(:,:)

REAL(KIND=JPRB) :: ZHOOK_HANDLE


!-----------------------------------------------------------------------
IF (LHOOK) CALL DR_HOOK('GEMS_DEALLOC_TL',0,ZHOOK_HANDLE)

DEALLOCATE( PCFLX,PTENC,PCEN )

!-----------------------------------------------------------------------
IF (LHOOK) CALL DR_HOOK('GEMS_DEALLOC_TL',1,ZHOOK_HANDLE)
END SUBROUTINE GEMS_DEALLOC_TL
